import React from 'react';
import { connect } from 'umi';
import ProductionUnifiedPlanningComponentInfo from '../../components/productionMainPlan/productionUnifiedPlanning';

function ProductionUnifiedPlanning({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const productionUnifiedPlanningProps = {
    app,
    content,
    dispatch,
    onRemovePane: removePane,
  };

  return (
    <ProductionUnifiedPlanningComponentInfo {...productionUnifiedPlanningProps} className="test" />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(ProductionUnifiedPlanning);
